aboutsummaryrefslogtreecommitdiffstats
path: root/csit/include-raw-integration-install-robotframework.sh
diff options
context:
space:
mode:
authorarkadiusz.adamski <aadamski@est.tech>2021-05-24 12:50:40 +0100
committerarkadiusz.adamski <aadamski@est.tech>2021-06-02 17:08:11 +0100
commit2b1e8d08ed869124e4a363a0c5f58999f487a4be (patch)
treea8e3d56442c1ad1b3820abad21a61a8e2a2aacc2 /csit/include-raw-integration-install-robotframework.sh
parent8d35b46c4c339a28e8cc2c4783a4b9110a199399 (diff)
Use python3 for CSITs
- use python3 and pip3 in scripts - update robot-framework-http library, so it can use python3 - update selenium2library, so it can use python3 Issue-ID: POLICY-3092 Signed-off-by: arkadiusz.adamski <aadamski@est.tech> Change-Id: I5a6a4fe43e54366859049e1d43bbce599dacd14e
Diffstat (limited to 'csit/include-raw-integration-install-robotframework.sh')
-rw-r--r--csit/include-raw-integration-install-robotframework.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/csit/include-raw-integration-install-robotframework.sh b/csit/include-raw-integration-install-robotframework.sh
new file mode 100644
index 00000000..65b838b1
--- /dev/null
+++ b/csit/include-raw-integration-install-robotframework.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2015 The Linux Foundation and others.
+# Modification Copyright 2021. Nordix Foundation.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+# vim: sw=4 ts=4 sts=4 et ft=sh :
+
+ROBOT_VENV="/tmp/v/robot"
+echo ROBOT_VENV="${ROBOT_VENV}" >> "${WORKSPACE}/env.properties"
+
+echo "Python version is: $(python3 --version)"
+
+# The --system-site-packages parameter allows us to pick up system level
+# installed packages. This allows us to bake matplotlib which takes very long
+# to install into the image.
+python3 -m venv "${ROBOT_VENV}"
+
+source "${ROBOT_VENV}/bin/activate"
+
+set -exu
+
+# Make sure pip3 itself us up-to-date.
+python3 -m pip3 install --upgrade pip3
+
+echo "Installing Python Requirements"
+python3 -m pip3 install -r pylibs.txt
+odltools -V
+pip3 freeze